{{- if .Values.collector.enabled }}
{{- if .Values.collector.autoscaling.enabled }}
apiVersion: autoscaling/v2
kind: HorizontalPodAutoscaler
metadata:
  name: {{ include "common.names.fullname" . }}-collector
  labels: {{- include "snowplow-pubsub.collector.labels" . | nindent 4 }}
    {{- if .Values.commonLabels }}
    {{- include "common.tplvalues.render" ( dict "value" .Values.commonLabels "context" $ ) | nindent 4 }}
    {{- end }}
spec:
  scaleTargetRef:
    apiVersion: apps/v1
    kind: Deployment
    name: {{ include "common.names.fullname" . }}-collector
  minReplicas: {{ .Values.collector.autoscaling.minReplicas }}
  maxReplicas: {{ .Values.collector.autoscaling.maxReplicas }}
  metrics:
    {{- if .Values.collector.autoscaling.targetCPUUtilizationPercentage }}
    - type: Resource
      resource:
        name: cpu
        target:
          type: Utilization
          averageUtilization: {{ .Values.collector.autoscaling.targetCPUUtilizationPercentage }}
    {{- end }}
    {{- if .Values.collector.autoscaling.targetMemoryUtilizationPercentage }}
    - type: Resource
      resource:
        name: memory
        target:
          type: Utilization
          averageUtilization: {{ .Values.collector.autoscaling.targetMemoryUtilizationPercentage }}
    {{- end }}
---
{{- end }}
{{- end }}